<?php use_helper('UrlFunctions'); ?>
<?php

if(myUser::getUser()->getIdPadre() == "1"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	 	
  	$IdPadre = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
  	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($IdPadre);
	$o_ColaboradorBL = new ColaboradorBL();	
  	
  	$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
  	
	if(is_array($a_o_Colaborador)){
		foreach ($a_o_Colaborador as $key => $o_colaborador){
			$a_Colaborador[] = $o_colaborador->getIdColaborador();
		}
	}
	
}else{//Solo los Hijos del Colaborador
  	$IdPadre = myUser::getUser()->getIdColaborador();
  	 	
  	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($IdPadre);
	$o_ColaboradorBL = new ColaboradorBL();	
  	
  	$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
	if(is_array($a_o_Colaborador)){
		foreach ($a_o_Colaborador as $key => $o_colaborador){
			$a_Colaborador[] = $o_colaborador->getIdColaborador();
		}
	}
}

//Sacar el nombre de la sucursal
$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdAdministrador($IdPadre);

$o_SucursalBL = new SucursalBL();
$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);

foreach ($a_o_sucursal as $key => $o_sucursal){
	$IdSucursal 	= $o_sucursal->getIdSucursal();
	$NombreSucursal = $o_sucursal->getDescripcion();
}



$a_moneda['S'] = 'Soles (S/.)';
$a_moneda['D'] = 'Dolares ($)';

//Obtener el nombre del Adminitrador
$idAdministrador = $IdPadre;
$o_ColaboradorAdmin = new ColaboradorBean();
$o_ColaboradorAdmin->setIdColaborador($idAdministrador);

$o_ColaboradorAdminBL = new ColaboradorBL();
$a_o_Colaborador = $o_ColaboradorAdminBL->busquedaColaborador($o_ColaboradorAdmin);
foreach ($a_o_Colaborador as $key => $o_Colaborador){
	$NombreAdministrador = $o_Colaborador->getNombreCompleto();
}
if(myUser::getUser()->getRoleId() == "sys.res" || myUser::getUser()->getRoleId() == "sys.hip"){
	
	$o_cierreDiaFN = new CrCierrehipotecaCFN();
	$o_cierreDiaFN->setIdsucursal($IdSucursal);
	$o_cierreDiaFN->setFecha($Fecha);
	$o_cierreDiaFN->setMoneda($moneda);
	$a_o_cierreDiaFN = $o_cierreDiaFN->select();
	
	$a_ResumenColaboradorT = $a_o_cierreDiaFN;
	
	
	
	
}



?>

<script>
validateControls = function(){
  var errOutput               = { error:false, msg:"" };
   
   if(valueTipo.value == ""){
    errOutput.error = true;
    errOutput.msg   += "Debe de seleccionar el tipo.\n";
  }
  return errOutput;
}

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrlComplet('mnt.php/ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}


</script>

<script type="text/javascript" src="<?php echo Constantes::ROOT_DIR_APP?>/web/js/objectForm.js"></script>



<script>
actualizarElementos = function(elmValue, elmDestino,type){
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=name&typeFind='+type+'&nombreElm='+elmDestino+'&value='+elmValue;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}
</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>


<script>
insertOptionDefault = function(){
  
  var table = $('tableContent');
  var countRows = table.rows.length;
  
  var tr = table.rows[countRows-1];
  var td = tr.cells[1];
  var idSelect = td.firstChild.id;
  
  values = [[idSelect,'alm_;_Alumno']];
  
  
  actualizaJSON('', values);
  
}
</script>

<script>
events = function(type){
  oReturn = validateControls();
  if(!oReturn.error){
    switch (type){
      case 'submit':
         $('form1').submit();
      break;
      case 'insert':
        grid.insert();
        insertOptionDefault();
      break;
      case 'delete':
        grid.deletes();
      break;
    }
  }else{
    alert(oReturn.msg);
    return false;
  }
}
</script>

<script type="text/javascript">

  validatePass = function(){
  	 
  	document.getElementById("btnGrabar").value = "Enviando...";
    document.getElementById("btnGrabar").disabled = true;;
    valid.onSubmit = false;
  }
</script>
<img src="/images/common/spacer.gif" width="10">
<form id="form1" name="form1" method="POST" onsubmit="validatePass();">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Balance del D&iacute;a de creditos con cronograma</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Listado</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>    
  <tr>
    <td valign="top">
      <input type="hidden" name="control" value="1">
        <table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0">
          		<tr>
    				<td height="0">
    					<table width="100%" border="0" cellpadding="5" cellspacing="0">
    						<?php if( myUser::getUser()->getRoleId() == "sys.gen"){?>
    						<tr>
    							<td width="10%"><label class="label">Sucursal</label></td>	
    							<td><label class="label">&nbsp;:&nbsp;<?=$NombreSucursal?></label></td>	
    						</tr>
    						<?php }?>
    						
    						
    					</table>
    					
          					
          					
	    				<?
	    					
  							if(is_array($a_ResumenColaboradorT)){
  								foreach ($a_ResumenColaboradorT as $key => $a_ResumenColaborador) {
	    							$Totalsumacapital = 0;
									$Totalsumapago = 0 ;
									$TotalNeto = 0;
									
								
									
									$o_cierreDiaDFN = new CrCierrehipotecaDFN();
									$o_cierreDiaDFN->setIdsucursal($a_ResumenColaborador->getIdsucursal());
									$o_cierreDiaDFN->setFecha($a_ResumenColaborador->getFecha());
									$o_cierreDiaDFN->setMoneda($a_ResumenColaborador->getMoneda());
									$a_o_cierreDiaDFN = $o_cierreDiaDFN->select();
									
									$a_ResumenColaboradorF = $a_o_cierreDiaDFN;
									?>
									
									<?php
	    							foreach ($a_ResumenColaboradorF as $key => $a_ResesumenDiario) {
											//print_r($a_ResesumenDiario);
	    							?>
	    									<table width="100%" border="0" cellpadding="5" cellspacing="0">
												<tr>
					    							<td width="10%"><label class="aviso">Nombre</label></td>	
					    							<td><label class="aviso">&nbsp;:&nbsp;<?=$a_ResesumenDiario->getNombrecolaborador()?></label></td>	
					    							<td width="10%"><label class="aviso">Fecha</label></td>	
					    							<td><label class="aviso">&nbsp;:&nbsp;<?=$a_ResumenColaborador->getFecha()?></label></td>	
					    							<td width="10%"><label class="label">Moneda</label></td>	
					    							<td><label class="label req"> <? echo $a_moneda[$a_ResumenColaborador->getMoneda()]; if($a_ResumenColaborador->getMoneda() == "S") $monedaN = "D";else $monedaN = "S";?>&nbsp;<a href="#" onclick="parent.objMainTab.reqBody('<?=buildUrl('hip/show')?>','001&id=<?=$a_ResumenColaborador->getIdSucursal()?>&Fecha=<?=$a_ResumenColaborador->getFecha();?>&moneda=<?=$monedaN;?>')"><?="Ver en moneda :".$a_moneda[$monedaN]?></a></label></td>	
					    						</tr>
				    						</table>
											
				    						<table width="100%" border="1" cellpadding="5" cellspacing="0">
											<tr>
				          						<!--<td width="30%" align="left"><label class="label">Nombre</label></td>		-->
				          						<td width="10%" align="left"><label class="label">Moneda</label></td>		
				          						
				          						<td width="60%" align="center" style="font-family:Arial, Helvetica, sans-serif;font-size:13px;color:#fff;background-color:#c50000;"><label class="label">Salida de creditos</label></td>		
				          						<td width="30%" align="center" style="font-family:Arial, Helvetica, sans-serif;font-size:13px;color:#fff;background-color:#092c5a;"><label class="label">Ingreso de creditos</label></td>	
				          						<!--<td width="15%"align="center"  style="font-family:Arial, Helvetica, sans-serif;font-size:13px;color:#fff;background-color:#669900;"><label class="label">Total</label></td>-->
				          					</tr>
											<tr>
				          						<!--<td><label class="label"><?php echo  $a_ResesumenDiario->getNombrecolaborador();?></label></td>		-->
				          						<td><label class="label"><?php echo  $a_moneda[$a_ResesumenDiario->getMoneda()]?></label></td>		
				          						<td align="right" ><label class="label">
				          							<table width="100%" >
				          								<tr>
				          								<td>
				          								<?php 
				          								$o_CrCreditoPagoFNT = new CrCreditoCronoFN();
														$a_prestamosxtipo = $o_CrCreditoPagoFNT->listarPrestamos($a_ResesumenDiario->getIdcolaborador(),$a_ResumenColaborador->getFecha(),$a_ResumenColaborador->getMoneda());
														//print_r($a_prestamosxtipo);
														?>
															<table width="100%" border="1" cellpadding="0" cellspacing="0">
															      <tr height="23">
															        <th width="2%" ><label  class="label">Nro</label></th>
															        <th width="60%" align="left" ><label  class="label">Cliente</label></th>
															        <th width="16%" align="left" ><label  class="label">Tipo</label></th>
															        <th width="20%" align="right"><label  class="label">Monto</label></th>
															       
															       
															      </tr>
															      <? if(count($a_prestamosxtipo)>0){ ?>
															        <?
															        $sumaPrestamos = 0; 
															        $i = 0;
																	foreach ($a_prestamosxtipo as $iKey => $prestamosxtipo){
															        	$i++;
															        	?>
															        <tr onClick="TR_click(this);" >
															          <td class="chk"><label  class="label"><?=($i)?></label></td>
															          <td><label  class="label"><? echo $prestamosxtipo['nombrecompleto']?>-<? echo $prestamosxtipo['id']?></label></td>
															          <td><label  class="label"><? if($prestamosxtipo['tipo'] == "N") echo "PI";elseif($prestamosxtipo['tipo'] == "M") echo "MO";else echo $prestamosxtipo['tipo'];?></label></td>
															          
															          <td  align="right"><label  class="label"><? echo number_format($prestamosxtipo['montocapital'],2);$sumaPrestamos += $prestamosxtipo['montocapital']?></label></td>
															         
															          
															        </tr>
															        <? } ?>
															        <!--<tr onClick="TR_click(this);">
															          <td colspan="3"></td>
															          <td align="right"><label  class="label"><? echo number_format($sumaPrestamos,2,'.',',')?></label></td>
															         
															          
															        </tr>-->
															      <? } ?>
														    </table>
														    </td>
														    				<td align="right"><label  class="label"><?php echo number_format($a_ResesumenDiario->getSalidatotal(),2)?></label></td>
					          								</tr>
					          							</table>
				          								</td>	
				          						<td align="right">
				          							<table width="100%" >
				          								<tr>
				          								<td>
				          								<?php 
				          								$o_CrCreditoPagoFNT = new CrCreditoPagoFN();
														$a_pagosxtipo = $o_CrCreditoPagoFNT->listarPagos($a_ResesumenDiario->getIdcolaborador(),$a_ResumenColaborador->getFecha(),$a_ResumenColaborador->getMoneda());
														?>
															<table width="100%" border="1" cellpadding="0" cellspacing="0">
															      <tr height="23">
															        <th width="10%" ><label  class="label">Nro</label></th>
															        <th width="40%" align="left" ><label  class="label">F.Pago</label></th>
															        <th width="10%" align="left" ><label  class="label">Tipo</label></th>
															        <th width="10%" align="left" ><label  class="label">T.Pago</label></th>
															        <th width="30%" align="right"><label  class="label">Monto</label></th>
															       
															       
															      </tr>
															      <? if(count($a_pagosxtipo)>0){ ?>
															        <? 
															        $i = 0;
																	foreach ($a_pagosxtipo as $iKey => $pagosxtipo){
															        	
															        	if($pagosxtipo['tipopago'] == "D"){
																        	$bgcolor ="#FFCC33";
																        }elseif($pagosxtipo['banco']){
																        	$bgcolor ="#CC66FF";
																        }
																        $i++;?>
															        <tr onClick="TR_click(this);" <?echo "bgcolor='".$bgcolor."'" ?>>
															          <td class="chk"><label  class="label"><?=($i)?></label></td>
															          <td><label  class="label"><?if(!$pagosxtipo['banco']) echo "EFECTIVO";else echo "Banco ".$pagosxtipo['banco'];?></label></td>
															          <td><label  class="label"><? if($pagosxtipo['tipo'] == "N") echo "PI";elseif($pagosxtipo['tipo'] == "M") echo "MO";else echo $pagosxtipo['tipo'];?></label></td>
															          <td><label  class="label"><? if($pagosxtipo['tipopago'] == "D") echo "Descuento";elseif($pagosxtipo['tipopago'] == "C") echo "Cuota";elseif($pagosxtipo['tipopago'] == "M") echo "Mora";elseif($pagosxtipo['tipopago'] == "i") echo "Interes";elseif($pagosxtipo['tipopago'] == "c") echo "Cuota";elseif($pagosxtipo['tipopago'] == "ca") echo "Cuo.ant.";elseif($pagosxtipo['tipopago'] == "ia") echo "Int.ant.";else echo $pagosxtipo['tipopago'];?></label></td>
															          <td align="right"><label  class="label"><? echo number_format($pagosxtipo['pago']+$pagosxtipo['SumapagosPI'],2); $total +=$pagosxtipo['pago']+$pagosxtipo['SumapagosPI']; ?></label></td>
															          
															        </tr>
															        <? } ?>
															      <? } ?>
														    </table>
				          								</td>
				          								
				          								
				          								<td align="right"><label  class="label"><?php echo number_format($a_ResesumenDiario->getIngresototal() + $a_ResesumenDiario->getIngresototalDeposito(),2)?></label></td>
				          								</tr>
				          							</table>
					          						
				          						</td>		
				          						<!--<td align="right"><label class="label"><?php echo number_format($a_ResesumenDiario->getIngresototal() - $a_ResesumenDiario->getSalidatotal(),2)?></label></td>		-->
				          					</tr>
											<?php    							
											$Totalsumacapital += $a_ResesumenDiario->getSalidatotal();
											$Totalsumapago += $a_ResesumenDiario->getIngresototal();
											
										
											$TotalNeto += $a_ResesumenDiario->getIngresototal() - $a_ResesumenDiario->getSalidatotal();
			    					}
			    					?>  
			    					<tr>
		          						<td align="right"><label class="label">&nbsp;Totales:</label></td>		
		          						<td align="right"><label class="label"><b><?=number_format(round($Totalsumacapital,2),2)?></b></label></td>		
		          						<td align="right"><label class="label"><b>Ingreso Neto de Pagos: <?=number_format(round($Totalsumapago,2),2)?></b></label></td>		
		          						<!--<td align="right"  style="font-family:Arial, Helvetica, sans-serif;font-size:13px;color:#fff;background-color:#669900;"><label class="label"><b><?=number_format(round($TotalNeto,2),2)?></b></label></td>	-->
		          					</tr>
	          					</table>
	          					<table class="marco" width="99%">
								  <tr>
								    <td valign="top" width="150px">Comentario</td>
								    <td valign="top"><?=$a_ResumenColaborador->getObservacion()?></td>
								  </tr><?
			    				}
			    				
  	
  							}
          				?>
	    				
	    				
	    						
    				</td>
                </tr>
      </table>
       
            
      
    </td>
  </tr>
</table>

  <tr>
    <input type="hidden" name="typeSubmit" id="typeSubmit" value="list_hip">
    <td valign="top" colspan="2" align="right">
    <?php
   
    if($fechaBalanceAbierto == date('Y-m-d')){
	   	$a_Existe['ok'] = 1;
    }else{
    	$o_sucursalBean = new SucursalBean();
    	$o_sucursalBean->setIdSucursal($IdSucursal);
    	
    	$o_SucursalBL = new SucursalBL();
    	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_sucursalBean);
    	
    	foreach ($a_o_sucursal as $key => $o_sucursal){
    		$fechaInicioOperaciones = $o_sucursal->getfechaInicioBalance();
    	}
    	
    	if($fechaInicioOperaciones == $fechaBalanceAbierto){
    		$a_Existe = array();
    	}else{
	    	$o_BalanceGeneralBean = new BalanceGeneralBean();
		    $o_BalanceGeneralBean->setIdSucursal($IdSucursal);
		 
		    $o_BalanceGeneralBean->setFecha((date('Y-m-d',strtotime($fechaBalanceAbierto."-1 days"))));
		    
		    $o_BalanceGeneralDP = new BalanceGeneralDP($o_BalanceGeneralBean);
		    $a_Existe = $o_BalanceGeneralDP->select();
    	}
    }
   ?>

   
	
  </tr>
</table>
</form>
